### Function

# GLib TrashStack peek

deprecated: 2.48

#### Declaration [src]

    gpointer
    g_trash_stack_peek (
      GTrashStack** stack_p
    )

#### Description [src]

Returns the element at the top of a `GTrashStack` which may be `NULL`.

Deprecated since: 2.48

`GTrashStack` is deprecated without replacement.

#### Parameters

`stack_p`

  Type: `GTrashStack`

  A `GTrashStack`.

  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

The element at the top of the stack.

The data is owned by the called function.
The return value can be `NULL`.